#ifndef NEIGHBOURS_CACHE_H
#define NEIGHBOURS_CACHE_H

#include "corner_table.hpp"

typedef struct {
	int* data;
	int size;
} CacheEntry;

typedef struct {
	CornerTable* corner_table;

	CacheEntry* entries;

	int size;
} NeighboursCache;

NeighboursCache* neighbours_cache_create(int size, CornerTable* ct);
CacheEntry neighbours_cache_get(const NeighboursCache* cache, int index);
void neighbours_cache_free(NeighboursCache** cache);

#endif
